Betriebssysteme (Windows, Linux, etc.) - Forum

Derzeit sind Sie als Gast in unserem Forum aktiv. Für das Schreiben registrieren Sie sich bitte. Unser Forum ist eine Austauschplattform für Webworker zum Kommunizieren, Helfen, Informieren und Hilfe finden. Auf der rechten Seiten finden Sie eine Forenübersicht über alle Bereiche des Webmaster-Forums. Unterhalb finden Sie alle aktuellen Themen.


Michael Zaversnik
Beiträge: 68

PN schreiben
Profil ansehen
User ist offline

mod_python für Python 2.6?

Link zur Antwort auf "mod_python für Python 2.6?" von Michael Zaversnik Michael Zaversnik, am Montag den 21.09.2009 um 15:35:34

Hallo,

ich habe folgendes Problem: Ich habe XAMPP (Windows) und mir zusätzlich Python (2.6) installiert. Dann wollte ich ein Trac einrichten. Doch das braucht mod_python, und ausgerechnet dieses Addon für Apache ist nur für Python 2.5!

Gibt's noch eine andere Möglichkeit, Trac auf dem Server laufen zu kriegen?


David Danier
Beiträge: 1709

PN schreiben
Profil ansehen
User ist offline
Link zur Antwort auf "mod_python für Python 2.6?" von David Danier David Danier, am Montag den 21.09.2009 um 17:52:36

Ich schmeiss mal einfach ein paar Begriffe in den Raum:

  • WSGI (mod_wsgi)
  • FastCGI (mod_fastcgi oder mod_fcgi)
  • CGI
  • tracd (mit mod_proxy)

http://trac.edgewall.org/wiki/TracInstall#RunningtheStandaloneServer
http://trac.edgewall.org/wiki/TracInstall#RunningTraconaWebServer

Link zur Antwort auf "mod_python für Python 2.6?" von Jannik Zschiesche Jannik Zschiesche, am Montag den 21.09.2009 um 18:22:21

Falls du es hinbekommst, das zu installieren, würde ich mich über einen Artikel dazu freuen - hab es selbst schon mehrfach (unter Windows) vergeblich versucht.


David Danier
Beiträge: 1709

PN schreiben
Profil ansehen
User ist offline
Link zur Antwort auf "mod_python für Python 2.6?" von David Danier David Danier, am Montag den 21.09.2009 um 18:44:39

Das hilft nicht?
http://trac.edgewall.org/wiki/TracOnWindows

Link zur Antwort auf "mod_python für Python 2.6?" von Jannik Zschiesche Jannik Zschiesche, am Dienstag den 22.09.2009 um 01:01:03

Ich hab das schon mehrfach versucht - bin immer gescheitert.. Vielleicht bin ich nur zu dämlich =P


Michael Zaversnik
Beiträge: 68

PN schreiben
Profil ansehen
User ist offline
Link zur Antwort auf "mod_python für Python 2.6?" von Michael Zaversnik Michael Zaversnik, am Dienstag den 22.09.2009 um 18:30:52

Ich bin wahrscheinlich auch zu dämlich dafür. Ich bleib immer an der Stelle stehen, wo man den SVN-Server als Dienst bei Windows anmelden muss. Wenn ich versuche, den Dienst zu starten, sagt er mir, dass der Dienst "zu spät" reagieren würde.